



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>C++ 实现sqilte创建数据库插入、更新、查询、删除</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">C++ 实现sqilte创建数据库插入、更新、查询、删除</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-15 14:36:46 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>C/C++ Interface APIs</h2>
<p>Following are important C/C++ SQLite interface routines, which can suffice your requirement to work with SQLite database from your C/C++ program. If you are looking for a more sophisticated application, then you can look into SQLite official documentation.</p>
<table>
<tbody>
<tr>
<th>Sr.No.</th>
<th>API &amp; Description</th>
</tr>
<tr>
<td>1</td>
<td>
<p><strong>sqlite3_open(const char *filename, sqlite3 **ppDb)</strong></p>
<p>This routine opens a connection to an SQLite database file and returns a database connection object to be used by other SQLite routines.</p>
<p>If the <em>filename</em> argument is NULL or ':memory:', sqlite3_open() will create an in-memory database in RAM that lasts only for the duration of the session.</p>
<p>If the filename is not NULL, sqlite3_open() attempts to open the database file by using its value. If no file by that name exists, sqlite3_open() will open a new database file by that name.</p>
</td>
</tr>
<tr>
<td>2</td>
<td>
<p><strong>sqlite3_exec(sqlite3*, const char *sql, sqlite_callback, void *data, char **errmsg)</strong></p>
<p>This routine provides a quick, easy way to execute SQL commands provided by sql argument which can consist of more than one SQL command.</p>
<p>Here, the first argument <em>sqlite3</em> is an open database object, <em>sqlite_callback</em> is a call back for which <em>data</em> is the 1st argument and errmsg will be returned to capture any error raised by the routine.</p>
<p>SQLite3_exec() routine parses and executes every command given in the <strong>sql</strong> argument until it reaches the end of the string or encounters an error.</p>
</td>
</tr>
<tr>
<td>3</td>
<td>
<p><strong>sqlite3_close(sqlite3*)</strong></p>
<p>This routine closes a database connection previously opened by a call to sqlite3_open(). All prepared statements associated with the connection should be finalized prior to closing the connection.</p>
<p>If any queries remain that have not been finalized, sqlite3_close() will return SQLITE_BUSY with the error message Unable to close due to unfinalized statements.</p>
</td>
</tr>
</tbody>
</table>
<h2>Connect To Database</h2>
<p>Following C code segment shows how to connect to an existing database. If the database does not exist, then it will be created and finally a database object will be returned.</p>
<pre class="prettyprint linenums">#include &lt;stdio.h&gt;<br />
#include &lt;sqlite3.h&gt; 

int main(int argc, char* argv[]) {<br />
   sqlite3 *db;<br />
   char *zErrMsg = 0;<br />
   int rc;

   rc = sqlite3_open("test.db", &amp;db);

   if( rc ) {<br />
      fprintf(stderr, "Can't open database: %s\n", sqlite3_errmsg(db));<br />
      return(0);<br />
   } else {<br />
      fprintf(stderr, "Opened database successfully\n");<br />
   }<br />
   sqlite3_close(db);<br />
}</pre>
<p>Now, let's compile and run the above program to create our database <strong>test.db</strong> in the current directory. You can change your path as per your requirement.</p>
<pre class="prettyprint linenums">$gcc test.c -l sqlite3<br />
$./a.out<br />
Opened database successfully</pre>
<p>If you are going to use C++ source code, then you can compile your code as follows &minus;</p>
<pre class="prettyprint linenums">$g++ test.c -l sqlite3</pre>
<p>Here, we are linking our program with sqlite3 library to provide required functions to C program. This will create a database file test.db in your directory and you will have the following result.</p>
<pre class="prettyprint linenums">-rwxr-xr-x. 1 root root 7383 May 8 02:06 a.out<br />
-rw-r--r--. 1 root root  323 May 8 02:05 test.c<br />
-rw-r--r--. 1 root root    0 May 8 02:06 test.db
</pre>
<h2>Create a Table</h2>
<p>Following C code segment will be used to create a table in the previously created database &minus;</p>
<pre class="prettyprint linenums">#include &lt;stdio.h&gt;<br />
#include &lt;stdlib.h&gt;<br />
#include &lt;sqlite3.h&gt; 

static int callback(void *NotUsed, int argc, char **argv, char **azColName) {<br />
   int i;<br />
   for(i = 0; i&lt;argc; i++) {<br />
      printf("%s = %s\n", azColName[i], argv[i] ? argv[i] : "NULL");<br />
   }<br />
   printf("\n");<br />
   return 0;<br />
}

int main(int argc, char* argv[]) {<br />
   sqlite3 *db;<br />
   char *zErrMsg = 0;<br />
   int rc;<br />
   char *sql;

   /* Open database */<br />
   rc = sqlite3_open("test.db", &amp;db);

   if( rc ) {<br />
      fprintf(stderr, "Can't open database: %s\n", sqlite3_errmsg(db));<br />
      return(0);<br />
   } else {<br />
      fprintf(stdout, "Opened database successfully\n");<br />
   }

   /* Create SQL statement */<br />
   sql = "CREATE TABLE COMPANY("  \<br />
         "ID INT PRIMARY KEY     NOT NULL," \<br />
         "NAME           TEXT    NOT NULL," \<br />
         "AGE            INT     NOT NULL," \<br />
         "ADDRESS        CHAR(50)," \<br />
         "SALARY         REAL );";

   /* Execute SQL statement */<br />
   rc = sqlite3_exec(db, sql, callback, 0, &amp;zErrMsg);

   if( rc != SQLITE_OK ){<br />
   fprintf(stderr, "SQL error: %s\n", zErrMsg);<br />
      sqlite3_free(zErrMsg);<br />
   } else {<br />
      fprintf(stdout, "Table created successfully\n");<br />
   }<br />
   sqlite3_close(db);<br />
   return 0;<br />
}</pre>
<p>When the above program is compiled and executed, it will create COMPANY table in your test.db and the final listing of the file will be as follows &minus;</p>
<pre class="prettyprint linenums">-rwxr-xr-x. 1 root root 9567 May 8 02:31 a.out<br />
-rw-r--r--. 1 root root 1207 May 8 02:31 test.c<br />
-rw-r--r--. 1 root root 3072 May 8 02:31 test.db
</pre>
<h2>INSERT Operation</h2>
<p>Following C code segment shows how you can create records in COMPANY table created in the above example &minus;</p>
<pre class="prettyprint linenums">#include &lt;stdio.h&gt;<br />
#include &lt;stdlib.h&gt;<br />
#include &lt;sqlite3.h&gt; 

static int callback(void *NotUsed, int argc, char **argv, char **azColName) {<br />
   int i;<br />
   for(i = 0; i&lt;argc; i++) {<br />
      printf("%s = %s\n", azColName[i], argv[i] ? argv[i] : "NULL");<br />
   }<br />
   printf("\n");<br />
   return 0;<br />
}

int main(int argc, char* argv[]) {<br />
   sqlite3 *db;<br />
   char *zErrMsg = 0;<br />
   int rc;<br />
   char *sql;

   /* Open database */<br />
   rc = sqlite3_open("test.db", &amp;db);

   if( rc ) {<br />
      fprintf(stderr, "Can't open database: %s\n", sqlite3_errmsg(db));<br />
      return(0);<br />
   } else {<br />
      fprintf(stderr, "Opened database successfully\n");<br />
   }

   /* Create SQL statement */<br />
   sql = "INSERT INTO COMPANY (ID,NAME,AGE,ADDRESS,SALARY) "  \<br />
         "VALUES (1, 'Paul', 32, 'California', 20000.00 ); " \<br />
         "INSERT INTO COMPANY (ID,NAME,AGE,ADDRESS,SALARY) "  \<br />
         "VALUES (2, 'Allen', 25, 'Texas', 15000.00 ); "     \<br />
         "INSERT INTO COMPANY (ID,NAME,AGE,ADDRESS,SALARY)" \<br />
         "VALUES (3, 'Teddy', 23, 'Norway', 20000.00 );" \<br />
         "INSERT INTO COMPANY (ID,NAME,AGE,ADDRESS,SALARY)" \<br />
         "VALUES (4, 'Mark', 25, 'Rich-Mond ', 65000.00 );";

   /* Execute SQL statement */<br />
   rc = sqlite3_exec(db, sql, callback, 0, &amp;zErrMsg);

   if( rc != SQLITE_OK ){<br />
      fprintf(stderr, "SQL error: %s\n", zErrMsg);<br />
      sqlite3_free(zErrMsg);<br />
   } else {<br />
      fprintf(stdout, "Records created successfully\n");<br />
   }<br />
   sqlite3_close(db);<br />
   return 0;<br />
}</pre>
<p>When the above program is compiled and executed, it will create the given records in COMPANY table and will display the following two lines &minus;</p>
<pre class="prettyprint linenums">Opened database successfully<br />
Records created successfully
</pre>
<h2>SELECT Operation</h2>
<p>Before proceeding with actual example to fetch records, let us look at some detail about the callback function, which we are using in our examples. This callback provides a way to obtain results from SELECT statements. It has the following declaration &minus;</p>
<pre class="prettyprint linenums">typedef int (*sqlite3_callback)(<br />
   void*,    /* Data provided in the 4th argument of sqlite3_exec() */<br />
   int,      /* The number of columns in row */<br />
   char**,   /* An array of strings representing fields in the row */<br />
   char**    /* An array of strings representing column names */<br />
);</pre>
<p>If the above callback is provided in sqlite_exec() routine as the third argument, SQLite will call this callback function for each record processed in each SELECT statement executed within the SQL argument.</p>
<p>Following C code segment shows how you can fetch and display records from the COMPANY table created in the above example &minus;</p>
<pre class="prettyprint linenums">#include &lt;stdio.h&gt;<br />
#include &lt;stdlib.h&gt;<br />
#include &lt;sqlite3.h&gt; 

static int callback(void *data, int argc, char **argv, char **azColName){<br />
   int i;<br />
   fprintf(stderr, "%s: ", (const char*)data);

   for(i = 0; i&lt;argc; i++){<br />
      printf("%s = %s\n", azColName[i], argv[i] ? argv[i] : "NULL");<br />
   }

   printf("\n");<br />
   return 0;<br />
}

int main(int argc, char* argv[]) {<br />
   sqlite3 *db;<br />
   char *zErrMsg = 0;<br />
   int rc;<br />
   char *sql;<br />
   const char* data = "Callback function called";

   /* Open database */<br />
   rc = sqlite3_open("test.db", &amp;db);

   if( rc ) {<br />
      fprintf(stderr, "Can't open database: %s\n", sqlite3_errmsg(db));<br />
      return(0);<br />
   } else {<br />
      fprintf(stderr, "Opened database successfully\n");<br />
   }

   /* Create SQL statement */<br />
   sql = "SELECT * from COMPANY";

   /* Execute SQL statement */<br />
   rc = sqlite3_exec(db, sql, callback, (void*)data, &amp;zErrMsg);

   if( rc != SQLITE_OK ) {<br />
      fprintf(stderr, "SQL error: %s\n", zErrMsg);<br />
      sqlite3_free(zErrMsg);<br />
   } else {<br />
      fprintf(stdout, "Operation done successfully\n");<br />
   }<br />
   sqlite3_close(db);<br />
   return 0;<br />
}</pre>
<p>When the above program is compiled and executed, it will produce the following result.</p>
<pre class="prettyprint linenums">Opened database successfully<br />
Callback function called: ID = 1<br />
NAME = Paul<br />
AGE = 32<br />
ADDRESS = California<br />
SALARY = 20000.0

Callback function called: ID = 2<br />
NAME = Allen<br />
AGE = 25<br />
ADDRESS = Texas<br />
SALARY = 15000.0

Callback function called: ID = 3<br />
NAME = Teddy<br />
AGE = 23<br />
ADDRESS = Norway<br />
SALARY = 20000.0

Callback function called: ID = 4<br />
NAME = Mark<br />
AGE = 25<br />
ADDRESS = Rich-Mond<br />
SALARY = 65000.0

Operation done successfully
</pre>
<h2>UPDATE Operation</h2>
<p>Following C code segment shows how we can use UPDATE statement to update any record and then fetch and display updated records from the COMPANY table.</p>
<pre class="prettyprint linenums">#include &lt;stdio.h&gt;<br />
#include &lt;stdlib.h&gt;<br />
#include &lt;sqlite3.h&gt; 

static int callback(void *data, int argc, char **argv, char **azColName){<br />
   int i;<br />
   fprintf(stderr, "%s: ", (const char*)data);

   for(i = 0; i&lt;argc; i++) {<br />
      printf("%s = %s\n", azColName[i], argv[i] ? argv[i] : "NULL");<br />
   }<br />
   printf("\n");<br />
   return 0;<br />
}

int main(int argc, char* argv[]) {<br />
   sqlite3 *db;<br />
   char *zErrMsg = 0;<br />
   int rc;<br />
   char *sql;<br />
   const char* data = "Callback function called";

   /* Open database */<br />
   rc = sqlite3_open("test.db", &amp;db);

   if( rc ) {<br />
      fprintf(stderr, "Can't open database: %s\n", sqlite3_errmsg(db));<br />
      return(0);<br />
   } else {<br />
      fprintf(stderr, "Opened database successfully\n");<br />
   }

   /* Create merged SQL statement */<br />
   sql = "UPDATE COMPANY set SALARY = 25000.00 where ID=1; " \<br />
         "SELECT * from COMPANY";

   /* Execute SQL statement */<br />
   rc = sqlite3_exec(db, sql, callback, (void*)data, &amp;zErrMsg);

   if( rc != SQLITE_OK ) {<br />
      fprintf(stderr, "SQL error: %s\n", zErrMsg);<br />
      sqlite3_free(zErrMsg);<br />
   } else {<br />
      fprintf(stdout, "Operation done successfully\n");<br />
   }<br />
   sqlite3_close(db);<br />
   return 0;<br />
}</pre>
<p>When the above program is compiled and executed, it will produce the following result.</p>
<pre class="prettyprint linenums">Opened database successfully<br />
Callback function called: ID = 1<br />
NAME = Paul<br />
AGE = 32<br />
ADDRESS = California<br />
SALARY = 25000.0

Callback function called: ID = 2<br />
NAME = Allen<br />
AGE = 25<br />
ADDRESS = Texas<br />
SALARY = 15000.0

Callback function called: ID = 3<br />
NAME = Teddy<br />
AGE = 23<br />
ADDRESS = Norway<br />
SALARY = 20000.0

Callback function called: ID = 4<br />
NAME = Mark<br />
AGE = 25<br />
ADDRESS = Rich-Mond<br />
SALARY = 65000.0

Operation done successfully
</pre>
<h2>DELETE Operation</h2>
<p>Following C code segment shows how you can use DELETE statement to delete any record and then fetch and display the remaining records from the COMPANY table.</p>
<pre class="prettyprint linenums">#include &lt;stdio.h&gt;<br />
#include &lt;stdlib.h&gt;<br />
#include &lt;sqlite3.h&gt; 

static int callback(void *data, int argc, char **argv, char **azColName) {<br />
   int i;<br />
   fprintf(stderr, "%s: ", (const char*)data);

   for(i = 0; i&lt;argc; i++) {<br />
      printf("%s = %s\n", azColName[i], argv[i] ? argv[i] : "NULL");<br />
   }<br />
   printf("\n");<br />
   return 0;<br />
}

int main(int argc, char* argv[]) {<br />
   sqlite3 *db;<br />
   char *zErrMsg = 0;<br />
   int rc;<br />
   char *sql;<br />
   const char* data = "Callback function called";

   /* Open database */<br />
   rc = sqlite3_open("test.db", &amp;db);

   if( rc ) {<br />
      fprintf(stderr, "Can't open database: %s\n", sqlite3_errmsg(db));<br />
      return(0);<br />
   } else {<br />
      fprintf(stderr, "Opened database successfully\n");<br />
   }

   /* Create merged SQL statement */<br />
   sql = "DELETE from COMPANY where ID=2; " \<br />
         "SELECT * from COMPANY";

   /* Execute SQL statement */<br />
   rc = sqlite3_exec(db, sql, callback, (void*)data, &amp;zErrMsg);

   if( rc != SQLITE_OK ) {<br />
      fprintf(stderr, "SQL error: %s\n", zErrMsg);<br />
      sqlite3_free(zErrMsg);<br />
   } else {<br />
      fprintf(stdout, "Operation done successfully\n");<br />
   }<br />
   sqlite3_close(db);<br />
   return 0;<br />
}</pre>
<p>When the above program is compiled and executed, it will produce the following result.</p>
<pre class="prettyprint linenums">Opened database successfully<br />
Callback function called: ID = 1<br />
NAME = Paul<br />
AGE = 32<br />
ADDRESS = California<br />
SALARY = 20000.0

Callback function called: ID = 3<br />
NAME = Teddy<br />
AGE = 23<br />
ADDRESS = Norway<br />
SALARY = 20000.0

Callback function called: ID = 4<br />
NAME = Mark<br />
AGE = 25<br />
ADDRESS = Rich-Mond<br />
SALARY = 65000.0

Operation done successfully

http://www.yiibai.com/sqlite/export.html

</pre>
<p>自己编了一个股票监控软件，有如下功能，有兴趣的朋友可以下载；</p>
<p>（1）&nbsp;&nbsp; 个股监测。监测个股实时变化，可以监测个股大单交易、急速拉升和下降、主力入场和出场、股票最高点和最低点提醒。检测到最高点、最低点、主力进场点、主力退场点、急速拉升点、急速下跌点，给出语音或者声音提醒，不用再时刻看着大盘了，给你更多自由的时间；</p>
<p>（2）&nbsp;&nbsp; 大盘监测。监测大盘的走势，采用上证、深证、创业三大指数的综合指数作为大盘走势。并实时监测大盘的最高点和最低点、中间的转折点。</p>
<p>（3）&nbsp;&nbsp; 股票推荐。还能根据历史数据长期或短期走势进行分析，对股市3千多个股票进行分析对比，选出涨势良好的股票，按照增长速度从大到小排序，推荐给你涨势良好的股票；</p>
<p>下载地址：</p>
<p>1.0.3版本（修复大盘指数崩溃缺陷）下载地址：</p>
<p>链接：https://pan.baidu.com/s/1BJcTp-kdniM7VE9K5Kd3vg 提取码：003h</p>
<p>更新链接：</p>
<p>https://www.cnblogs.com/bclshuai/p/10621613.html</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/g8e1zrm9.html">HMM基本原理及其实现（隐马尔科夫模型）</a>
		</li>
						<li><a href="https://www.batexi.com/a/390r3lj9.html">如何设置 Panorama 控件的只读 SelectedIndex 属性？</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9pgelk9.html">MFC  CEdit改变字体大小的方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/g8ern2xq.html">Chrome 控制台console的用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9p5j248.html">Deep Copy cv&colon;&colon;StereoBM 深度拷贝</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j0zgngq.html">二分查找（Binary Search）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1mnnj9.html">Docker初识</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pjkwo79.html">编译及load mydqli&period;so文件</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j0vkl4q.html">Delaunay三角剖分</a>
		</li>
						<li><a href="https://www.batexi.com/a/90v50lo8.html">Java使用poi对Execl简单&lowbar;写&lowbar;操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7mroxkq.html">小公司生存，一般活过第一年，就能撑3年（读书笔记：成败关键，关键是你是否拥有现金流客户）good</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zom001q.html">数据表为null的字段添加默认值</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4jg6ynq.html">Word中如何删除目录页的页码</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e41nmk9.html">&lbrack;UE4&rsqb;瞬移前后屏幕亮度变化，Get Player Camera Manager&period;Start Camera Fade</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyygd1gq.html">K8s&lpar;7&rpar;-安装Web UI</a>
		</li>
						<li><a href="https://www.batexi.com/a/qll27k1q.html">Django开发笔记三</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pw46w48.html">『Python』PIL图像处理&lowbar;形变操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/960r6wj9.html">configparse   模块</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2gjky9.html">控制器中获取Field值</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjnr479.html">几种流行的AJAX框架对比：Jquery，Mootools，Dojo，ExtJs，Dwr</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9gjv6e49.html">js增加、删除、替换DOM对象</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv2mpdz9.html">powermockito 常用操作</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv2mpzz9.html">Python求最大可能</a>
			</li>
						<li><a href="https://www.batexi.com/a/9r5rlldq.html">超详细 Nginx 极简教程，傻瓜一看也会！</a>
			</li>
						<li><a href="https://www.batexi.com/a/q25l1zvq.html">细数php里的那些&OpenCurlyDoubleQuote;坑&rdquo;</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwvmmnr8.html">第三周作业HAproxy文件操作</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j145m49.html">Python3 tkinter基础 Canvas create&lowbar;polygon 画三角形</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gjv2d49.html">3545&colon; &lbrack;ONTAK2010&rsqb;Peaks 平衡树，最小生成树</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kjgy379.html">CssClass&equals;&amp;quot&semi;Hidden&amp;quot&semi;和Visible&equals;&amp;quot&semi;False&amp;quot&semi;</a>
			</li>
						<li><a href="https://www.batexi.com/a/90rxwdj9.html">springBoot 全局异常捕捉</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
